package com.bankaudit.rest.process.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.bankaudit.process.model.RiskControlDetails;
import com.bankaudit.rest.process.dao.RiskControlDetailsDao;

@Service
@Transactional("transactionManager")
public class RiskControlDetailsServiceImpl implements RiskControlDetailsService {
	
	@Autowired(required=true)
	RiskControlDetailsDao riskControlDetailsDao;
	
	public List<RiskControlDetails> getRiskControlDetails(Integer legalEntityCode, String auditId, String observationId, String recStatus){
		List<RiskControlDetails> riskControlDetailsLst =null;
		try {
			 riskControlDetailsLst = riskControlDetailsDao.getRiskControlDetails(legalEntityCode, auditId, observationId, recStatus);
		}catch(Exception e) {
			
		}return riskControlDetailsLst;
	}

}
